package LegacyPanel::Entity::Client;

use strict;
use warnings;

use LegacyPanel::Entity;

use vars qw(@ISA);
@ISA = qw/ LegacyPanel::Entity /;

sub new($$) {
  my ($class, $internalId) = @_;

  my $self = { };
  bless $self, $class;
  $self->_setId($internalId);
  $self->_initLoad();
  return $self;
}

# "Abstract" methods

# instance

sub getEntityType {
  return 'client';
}
sub getChildType {
  return 'domain';
}

sub _initLoad($) { die "Defined me!"; }
sub getContactData { die "Define me!"; }
sub getUsername { die "Redefine me!"; }

1;

